Delete an Instagram automation
DELETE
/instagram/automations/{id}
const url = 'https://app.whatsetter.com/api/v1/instagram/automations/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://app.whatsetter.com/api/v1/instagram/automations/example \ --header 'Authorization: Bearer <token>'Deletes the automation and its counters for good. To pause it, send
active: false instead. Requires scope instagram:write.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
An automation (from listInstagramAutomations).
Responses
Section titled “Responses”Deleted
Media typeapplication/json
object
data
object
id
string
deleted
boolean
Example
{ "data": { "deleted": true }}Missing, unknown or revoked API key
Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}The key lacks the required scope (insufficient_scope), the plan does not have this part of the API (not_in_plan), or Instagram is not enabled on the workspace (instagram_not_enabled, Instagram routes)
Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}Resource not found in this workspace
Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}